GXml.XHtmlDocument – GXml-0.20 Reference Manual

# XHtmlDocument

## Object Hierarchy:

## Description:

public class XHtmlDocument : XDocument, DomHtmlDocument

HML parsing support. Document handling

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public int default_options { get; }

### Creation methods:

- public XHtmlDocument ()
- public XHtmlDocument.from_file (File file, int options = 0, Cancellable? cancel = null) throws Error
  This method parse strings in a GLib.File using Html.Doc.read_memory method. Refer to libxml2 documentation about limitations on parsing.
- public XHtmlDocument.from_path (string path, int options = 0) throws Error
- public XHtmlDocument.from_string (string html, int options = 0)
  This method parse strings using Html.Doc.read_memory method. Refer to libxml2 documentation about limitations on parsing.
- public XHtmlDocument.from_string_context (string html, int options = 0)
  This method parse strings using Html.ParserCtxt class. Refer to libxml2 documentation about limitations on parsing.
- public XHtmlDocument.from_string_doc (string html, int options = 0)
  This method parse strings using Html.Doc.read_doc method. Refer to libxml2 documentation about limitations on parsing.
- public XHtmlDocument.from_uri (string uri, int options = 0) throws Error

### Methods:

- public void read_from_string (string str)
- public void read_from_string_tolerant (string str) throws Error
- public string to_html () throws Error
- public override string to_string ()

### Inherited Members:

All known members inherited from class GXml.XDocument

- _buffer
- _character_set
- _compat_mode
- _constructor
- _content_type
- _implementation
- _origin
- _parser
- _url
- adopt_node
- attrs
- backup
- character_set
- child_element_count
- children
- children_nodes
- compat_mode
- content_type
- create_comment
- create_document_fragment

- create_element
- create_element_ns
- create_event
- create_node_iterator
- create_pi
- create_processing_instruction
- create_range
- create_text
- create_text_node
- create_tree_walker
- doctype
- document
- document_element
- document_uri
- evaluate
- file
- first_element_child
- get_element_by_id
- get_elements_by_class_name

- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- get_xml_parser
- implementation
- import_node
- indent
- last_element_child
- libxml_to_string
- ns_top
- origin
- prefix_default_ns
- query_selector_all
- root
- save
- save_as
- set_namespace
- set_xml_parser
- to_string
- url

All known members inherited from class GXml.XNode

- _base_uri
- _doc
- _node
- add_event_listener
- append_child
- attrs
- base_uri
- child_nodes
- children_nodes
- clone_node
- compare_document_position
- contains
- dispatch_event
- document
- first_child

- get_internal_node
- has_child_nodes
- insert_before
- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- name
- next_sibling
- node_name
- node_type
- node_value
- normalize
- owned_node

- owner_document
- parent
- parent_element
- parent_node
- previous_sibling
- remove_child
- remove_event_listener
- replace_child
- set_namespace
- text_content
- to_gnode
- to_string
- type_node
- value

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomHtmlDocument

- read_from_string

- read_from_string_tolerant

- to_html

All known members inherited from interface GXml.DomParentNode

- child_element_count
- children
- first_element_child

- get_elements_by_property_value
- last_element_child

- query_selector
- query_selector_all

All known members inherited from interface GXml.DomNonElementParentNode

- get_element_by_id

All known members inherited from interface GXml.DomDocument

- adopt_node
- character_set
- compat_mode
- content_type
- create_comment
- create_document_fragment
- create_element
- create_element_ns
- create_event
- create_node_iterator
- create_processing_instruction
- create_range
- create_stream
- create_stream_async

- create_text_node
- create_tree_walker
- doctype
- document_element
- document_uri
- get_elements_by_class_name
- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- get_xml_parser
- implementation
- import_node
- origin
- read_from_file

- read_from_file_async
- read_from_stream
- read_from_stream_async
- read_from_string
- read_from_string_async
- set_xml_parser
- url
- write_file
- write_file_async
- write_stream
- write_stream_async
- write_string
- write_string_async

All known members inherited from interface GXml.XPathContext

- evaluate

All known members inherited from interface GXml.DomEventTarget

- add_event_listener

- dispatch_event

- remove_event_listener

All known members inherited from interface GXml.DomNode

- append_child
- base_uri
- child_nodes
- compare_document_position
- contains
- copy
- first_child
- has_child_nodes
- insert_before

- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- next_sibling
- node_name
- node_type
- node_value

- normalize
- owner_document
- parent_element
- parent_node
- previous_sibling
- remove_child
- replace_child
- text_content